Subject: [MBONED] Question about multicast address to be used in documentation and example

From: Maglione Roberta <[email-masked]>
Date: Wed, 15 Oct 2008 15:36:38 +0200

Hello,
        I'm currently cleaning up my multicast ietf draft but I have the problem:
the ietf tool for draft error check is complaing, with the error below, because in the draft I'm using a multicast add (from the Administratively Scoped block) as an example.

"Found possible IPv4 address '239.23.2.2' in position 55; this doesn't match RFC3330's suggested 192.0.2.0/24 address range. "

I checked RFC3330, it proposes an IPv4 range to be used in documentation and example but only for unicast, I could not find an equivalent range for multicast. Does this range exist for multicast? Or should I remove the example from the draft?

Thank you in advance.
Best Regards,
Roberta

CONFIDENTIALITY NOTICE

This message and its attachments are addressed solely to the persons above and may contain confidential information. If you have received the message in error, be informed that any use of the content hereof is prohibited. Please return it immediately to the sender and delete the message. Should you have any questions, please contact us by replying to [email-masked].

        Thank you

                                        www.telecomitalia.it
_______________________________________________
MBONED mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mboned

---

From: Stig Venaas <[email-masked]>
Date: Wed, 15 Oct 2008 16:14:46 +0200

> I checked RFC3330, it proposes an IPv4 range to be used in documentation and example but only for unicast, I could not find an equivalent range for multicast. Does this range exist for multicast? O…

There is a draft draft-ietf-idr-as-documentation-reservation-00.txt
proposing ASNs 64496 - 64511 for documentation. This is only a draft.
But if this is approved, then I guess you could use GLOP addresses
based on those for documentation :)

Or if perhaps draft-ietf-mboned-ipv4-uni-based-mcast-05.txt ever gets
approved you could use unicast based addresses from 192.0.2.0/24 or
something...

But I guess assigning a specific multicast prefix would be good,

Stig

---

From: Stig Venaas <[email-masked]>
Date: Wed, 15 Oct 2008 16:14:46 +0200

Stig

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 15 Oct 2008 10:48:38 -0400

On Oct 15, 2008, at 10:14 AM, Stig Venaas wrote:

>> the ietf tool for draft error check is complaing, with the error  
>> below, because in the draft I'm using a multicast add (from the  
>> Administratively Scoped block) as an example.
>>
>> "Found possible IPv4 address '239.23.2.2' in position 55; this  
>> doesn't match RFC3330's suggested 192.0.2.0/24 address range. "
>>
>> I checked RFC3330, it proposes an IPv4 range to be used in  
>> documentation and example but only for unicast, I could not find an  
>> equivalent range for multicast. Does this range exist for  
>> multicast? Or should I remove the example from the draft?
>

Do you mean a specific prefix just for examples, like "example.com" ?  
Obviously, that couldn't
come from 239/8, but I like the idea of setting aside an example range  
in eGLOP, which could be added to

draft-ietf-mboned-rfc3171bis-04

Do others on list agree with this idea ?

Regards
Marshall

>
>
> Stig
>
>> Thank you in advance.
>> Best Regards,
>> Roberta
>>
>>
>> CONFIDENTIALITY NOTICE
>>
>> This message and its attachments are addressed solely to the  
>> persons above and may contain confidential information. If you have  
>> received the message in error, be informed that any use of the  
>> content hereof is prohibited. Please return it immediately to the  
>> sender and delete the message. Should you have any questions,  
>> please contact us by replying to [email-masked].
>>
>>        Thank you
>>
>>                                        www.telecomitalia.it

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 15 Oct 2008 10:48:38 -0400

Regards
Marshall

---

From: Leo Vegoda <[email-masked]>
Date: Wed, 15 Oct 2008 07:52:20 -0700

Hi,

On 15/10/2008 4:14, "Stig Venaas" <[email-masked]> wrote:

[...]

>> I checked RFC3330, it proposes an IPv4 range to be used in documentation and
>> example but only for unicast, I could not find an equivalent range for
>> multicast. Does this range exist for multicast? Or should I remove the
>> example from the draft?
>

In draft-ietf-mboned-rfc3171bis-03.txt we have marked that portion of the
space for extending the AD-HOC range (section 9.2).

[...]

> But I guess assigning a specific multicast prefix would be good,

I suppose it's always helpful if people know that a particular address is
reserved for documentation purposes and so cannot be part of a live
configuration.

Regards,

Leo

---

From: Leo Vegoda <[email-masked]>
Date: Wed, 15 Oct 2008 07:52:20 -0700

Hi,

[...]

[...]

Regards,

Leo

---

From: Dave Price <[email-masked]>
Date: Wed, 15 Oct 2008 15:52:31 +0100

Dear Marshall,

[email-masked] said:
> Obviously, that couldn't come from 239/8, but I like the idea of
> setting aside an example range   in eGLOP, which could be added to

> Do others on list agree with this idea ?

This idea, or something similar sounds good.  I have
often myself found myself wanting such a range
while writing multicast related documents.

Dave Price
-- 
Dave Price, 
Email: [email-masked] PHONE: +44 1970 622428 FAX: +44 1970 628536
Post: Computer Science, Aberystwyth University,
      Penglais, Aberystwyth, WALES, UK, SY23 3DB.

---

From: Dave Price <[email-masked]>
Date: Wed, 15 Oct 2008 15:52:31 +0100

Dear Marshall,

Dave Price

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 15 Oct 2008 11:04:40 -0400

On Oct 15, 2008, at 10:52 AM, Leo Vegoda wrote:

>>> documentation and

My thinking was that the FIRST such range in eGLOP could be so  
reserved. Is a /24 sufficient ?
I think that a /32 would be too small, and inconvenient as well.

Marshall

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 15 Oct 2008 11:04:40 -0400

Marshall

---

From: Maglione Roberta <[email-masked]>
Date: Wed, 15 Oct 2008 17:21:42 +0200

> reserved. Is a /24 sufficient?

I think /24 would be fine for documentation.

Thanks,
Roberta

-----Original Message-----
From: Marshall Eubanks [mailto:[email-masked]]
Sent: Wednesday, October 15, 2008 5:05 PM
To: Leo Vegoda
Cc: Stig Venaas; Maglione Roberta; [email-masked]
Subject: Re: [MBONED] Question about multicast address to be used in documentation and example

Marshall

CONFIDENTIALITY NOTICE

        Thank you

                                        www.telecomitalia.it

---

From: Maglione Roberta <[email-masked]>
Date: Wed, 15 Oct 2008 17:21:42 +0200

Thanks,
Roberta

-----Original Message-----
From: Marshall Eubanks [mailto:[email-masked]]
Sent: Wednesday, October 15, 2008 5:05 PM
To: Leo Vegoda
Cc: Stig Venaas; Maglione Roberta; [email-masked]
Subject: Re: [MBONED] Question about multicast address to be used in documentation and example

Marshall

CONFIDENTIALITY NOTICE

        Thank you

                                        www.telecomitalia.it

---

From: Leo Vegoda <[email-masked]>
Date: Fri, 17 Oct 2008 06:19:45 -0700

On 15/10/2008 5:21, "Maglione Roberta" <[email-masked]>
wrote:

[...]

> I think /24 would be fine for documentation.

OK. If this language is OK we'll include it in
draft-ietf-mboned-rfc3171bis-03, which we'd like to publish as soon as
possible.

   233.252.0.0/24 - This block of multicast addresses is assigned as
   "MCAST-TEST-NET" for use in documentation and example code.
   It is often used in conjunction with domain names example.com
   or example.net in vendor and protocol documentation.  Addresses
   within this block should not appear on the public Internet.

Regards,

Leo Vegoda

---

From: Leo Vegoda <[email-masked]>
Date: Fri, 17 Oct 2008 06:19:45 -0700

[...]

Regards,

Leo Vegoda

---

From: Leo Vegoda <[email-masked]>
Date: Wed, 29 Oct 2008 05:08:23 -0700

On 17/10/2008 3:19, "Leo Vegoda" <[email-masked]> wrote:

[...]

>    within this block should not appear on the public Internet.

Michelle and I would appreciate input on whether the language above is OK.
Please let us know if you would like something different.

Thanks,

Leo

---

From: Leo Vegoda <[email-masked]>
Date: Wed, 29 Oct 2008 05:08:23 -0700

[...]

Thanks,

Leo

---

From: Antonio Querubin <[email-masked]>
Date: Wed, 29 Oct 2008 07:53:48 -1000 (HST)

> Please let us know if you would like something different.

Change 'It is often' to 'It should be'.

-- 
Antonio Querubin
whois:  AQ7-ARIN

---

From: Antonio Querubin <[email-masked]>
Date: Wed, 29 Oct 2008 07:53:48 -1000 (HST)

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 29 Oct 2008 14:24:09 -0400

> Change 'It is often' to 'It should be'.

Good catch. I would add a mention of RFC2606, as follows

the [RFC 2606] domain names example.com
or example.net in vendor and protocol documentation.

Marshall

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 29 Oct 2008 14:24:09 -0400

Marshall

---

From: Leo Vegoda <[email-masked]>
Date: Thu, 30 Oct 2008 04:26:36 -0700

On 29/10/2008 7:24, "Marshall Eubanks" <[email-masked]> wrote:

[...]

> or example.net in vendor and protocol documentation.

Great. I've updated the text with this suggested language and hope to have a
new version very soon.

Thanks,

Leo

---

From: Leo Vegoda <[email-masked]>
Date: Thu, 30 Oct 2008 04:26:36 -0700

[...]

Thanks,

Leo

---

From: Michelle Cotton <[email-masked]>
Date: Thu, 30 Oct 2008 11:31:16 -0700

Marshall/WG members,

At the Dublin IETF I presented some updates to the multicast work IANA was doing.
I'm checking to see if the WG would like me to present additional updates in Minneapolis.
(Although it would need to be the first session as I leave Thursday morning).

Alternatively, I can provide a detailed email update to the list if that is preferable.

Please let me know what you all would like.

Thanks,

Michelle Cotton
IANA
Marshall/WG members,

At the Dublin IETF I presented some updates to the multicast work IANA was doing.
I'm checking to see if the WG would like me to present additional updates in Minneapolis.
(Although it would need to be the first session as I leave Thursday morning).

Alternatively, I can provide a detailed email update to the list if that is preferable.

Please let me know what you all would like.

Thanks,

Michelle Cotton
IANA